@mixin rings($duration, $delay) {
	opacity: 0;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	position: absolute;
	top: -8px;
	left: -8px;
	right: 0;
	bottom: 0;
	content: "";
	height: 100%;
	width: 100%;
	border: 8px solid rgba(0, 0, 0, 0.2);
	border-radius: 100%;
	animation-name: ripple;
	animation-duration: $duration;
	animation-delay: $delay;
	animation-iteration-count: infinite;
	animation-timing-function: cubic-bezier(0.65, 0, 0.34, 1);
	z-index: -1;
}
.speechDrawer {
	& .MuiDrawer-paper {
		position: relative;
		height: 10rem;
	}
}
.speechwrapper {
	display: flex;
	align-items: center;
	padding: 2rem;
}
.speech-text {
	width: 50%;
	font-size: 18px;
}
.closeIcon {
	position: absolute;
	right: 10px;
	top: 5px;
	color: #aa98a9;
	cursor: pointer;
}

.mic-icon-wrap {
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	width: 65px;
	height: 65px;
	border-radius: 100%;
	background: #ffffff;
	box-shadow: 0px 0px 7px -2px #aa98a9;
	cursor: pointer;
	margin-left: 1rem;
}
.mic-icon {
	font-size: 2.5rem !important;
	color: #aa98a9;
}

.speech-icon-wrap {
	position: relative;
	&::after {
		@include rings(3s, 0s);
	}
	&::before {
		@include rings(3s, 0.5s);
	}
}

@keyframes ripple {
	from {
		opacity: 1;
		transform: scale3d(0.75, 0.75, 1);
	}

	to {
		opacity: 0;
		transform: scale3d(1.5, 1.5, 1);
	}
}
